Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ChartLabelInfo

    java.lang.Object
      jet.api.ChartLabelInfo

    public class ChartLabelInfo

extends java.lang.Object

An information package of chart title and notes

Constructor Summary
`ChartLabelInfo()`
`ChartLabelInfo(java.lang.String titleName, java.lang.String titleText, java.lang.String leftName, java.lang.String leftText, java.lang.String btmName, java.lang.String btmText)` Constructor.

Method Summary
`java.lang.String` | `getBottomText()` get text of the bottom note.
`java.lang.String` | `getLeftText()` get text of the left note.
`java.lang.String` | `getTitleText()` get text of the title note.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChartLabelInfo

    public ChartLabelInfo()

### ChartLabelInfo

    public ChartLabelInfo(java.lang.String titleName,
                          java.lang.String titleText,
                          java.lang.String leftName,
                          java.lang.String leftText,
                          java.lang.String btmName,
                          java.lang.String btmText)

  Constructor. Creates chart tiltle and note information.

  Parameters:
    `titleName` - object name of the chart title field.
    `titleText` - text of the title.
    `leftName` - object name of the chart left note field.
    `leftText` - text of the left note.
    `btmName` - object name of the chart bottom note field.
    `btmText` - text of the bottom note.

Method Detail

### getTitleText

    public java.lang.String getTitleText()

  get text of the title note.

  Returns:
    note text

### getLeftText

    public java.lang.String getLeftText()

  get text of the left note.

  Returns:
    note text

### getBottomText

    public java.lang.String getBottomText()

  get text of the bottom note.

  Returns:
    note text

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD